@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">Wowa Training parameters</div>

                <div class="card-body">
                    @if (!$wowa->exists)
                    <form method="POST" action="{{ action("WowaController@store") }}">
                    @else
                    <form method="POST"
                          action="{{ action("WowaController@update", ["wowa" => $wowa]) }}">
                    {{ method_field("PUT") }}
                    @endif
                        {{ csrf_field() }}

                        <div class="form-group row">
                            <label for="name" class="col-md-4 col-form-label text-md-right">Population number (10-250)</label>

                            <div class="col-md-6">
                                <input id="population" type="number" min="10" max="250" name="population" value="150">

                            </div>
                            <label for="name" class="col-md-4 col-form-label text-md-right">Crossover rate (1-99)</label>
                            <div class="col-md-6">
                                <input id="crossover" type="number" min="1" max="99" name="crossover" value="35">
                            </div>
                            <label for="name" class="col-md-4 col-form-label text-md-right">Mutation rate (1-99)</label>
                            <div class="col-md-6">
                                <input id="mutation" type="number" name="mutation" min="1" max="99" value="7">
                            </div>
                            <label for="name" class="col-md-4 col-form-label text-md-right">Generation number (10-500)</label>
                            <div class="col-md-6">
                                <input id="generation" type="number" name="generation" min="10" max="500" value="200">
                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="col-md-6 offset-md-4">
                                <button type="submit" class="btn btn-primary">
                                     Save
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
